CVE-2019-11068 (retired)

Priority
Description
libxslt through 1.1.33 allows bypass of a protection mechanism because
callers of xsltCheckRead and xsltCheckWrite permit access even upon
receiving a -1 error code. xsltCheckRead can return -1 for a crafted URL
that is not actually invalid and is subsequently loaded.
Assigned-to
leosilva
Package
Upstream:needs-triage
Ubuntu 12.04 ESM (Precise Pangolin):released (1.1.26-8ubuntu1.5)
Ubuntu 14.04 LTS (Trusty Tahr):released (1.1.28-2ubuntu0.2)
Ubuntu 16.04 LTS (Xenial Xerus):released (1.1.28-2.1ubuntu0.2)
Ubuntu 18.04 LTS (Bionic Beaver):released (1.1.29-5ubuntu0.1)
Ubuntu 18.10 (Cosmic Cuttlefish):released (1.1.32-2ubuntu0.1)
Ubuntu 19.04 (Disco Dingo):released (1.1.32-2ubuntu0.1)
Patches:
Upstream:https://gitlab.gnome.org/GNOME/libxslt/commit/e03553605b45c88f0b4b2980adfbbb8f6fca2fd6
More Information

Updated: 2019-04-17 16:15:02 UTC (commit 3fbacf56b9ed6df90ae825624b179ef203b2d64d)